# Config Settings

```lua

FRKN = {
    ServerCallbacks = {},
    BlackMoneyItem = "blackmoney",
    BlackMoneyDecrease = 1,
    MoneyItem = "money",
    MachineMoneyCount = 2,   --It determines how much money each washing machine will give at the specified number of minutes. For example, if you have 3 machines, the system automatically multiplies this amount by 3
    MachineCoolingUp = 2, --Your machine determines how much it will cool down in the specified time, values vary according to the number of fans
    MachineCoolingDown = 2, --Your machine determines how much it will cool down in the specified time, values vary according to the number of fans
    MachineHeatingDown = 2, --Your machine determines how much it will heat up in the specified time, values vary according to the number of fans
    MachineHeatingUp = 2, --Your machine determines how much it will heat up in the specified time, values vary according to the number of fans


    HackText = "Open Basket", --Articles about texts are written here
    GeneralDataText = "Open General data", --Articles about texts are written here
    BuildText = "Control Panel", --Articles about texts are written here
    PermissionText = "Permission Panel", --Articles about texts are written here
    MinerDistance = 30.0, --The distance value is how close to the computer you want the miner to be when you install it.
    BasketPropName = "v_res_fh_laundrybasket", --The name of the prop you want to use as a basket
    MoneyDecreaseTime = 10000, --The time it takes for the money to decrease

    Interaction = {
        UseTarget = true,
        Target = "qb-target",
    },

    Notify = {
        ["pcControl"] = {
            msgType = "error",
            text = "While there is a desk, the item to be added should not be a machine.",
            length = 5000
        },
        ["minerControl"] = {
            msgType = "error",
            text = "To add a washing machine, you need to be close to the desk.",
            length = 5000
        },
        ["minerSuccess"] = {
            msgType = "success",
            text = "Added because you are close to the desk.",
            length = 5000
        },
        ["deskSuccess"] = {
            msgType = "success",
            text = "Desk added successfully.",
            length = 5000
        },
        ["distanceControl"] = {
            msgType = "error",
            text = "First approach the machine and establish connection.",
            length = 5000
        },
        ["firstItemControl"] = {
            msgType = "error",
            text = "The first item to be added must be a desk.",
            length = 5000
        },
        ["alreadyPc"] = {
            msgType = "error",
            text = "You already have one desk.",
            length = 5000
        },
        ["item"] = {
            msgType = "error",
            text = "You don't have the required item.",
            length = 5000
        }

    },

    PropsAll = {
        [1] = {itemname = "v_res_fh_laundrybasket", label = "Laundry Basket", hash = "698127650" ,itemType="desk" ,  propname = "v_res_fh_laundrybasket" },
        [2] = {itemname = "bkr_prop_prtmachine_dryer_spin", label = "Custom Dryer Machine",hash="-1835987903" ,itemType="miner" ,  propname = "3dwash"},
        [3] = {itemname = "bkr_prop_prtmachine_dryer_spin", label = "Dryer Machine", hash = "769275872" ,itemType="miner" ,  propname = "bkr_prop_prtmachine_dryer_spin"},
        [4] = {itemname = "v_res_fa_fan", label = "Fan 1", hash = "684271492" ,itemType="fan" ,  propname = "v_res_fa_fan"},
        [5] = {itemname = "prop_aircon_s_04a", label = "Fan 2", hash = "217291359" ,itemType="fan" ,  propname = "prop_aircon_s_04a"},
        [6] = {itemname = "v_ret_fh_fanltonbas", label = "Fan 4", hash = "2049937797" ,itemType="fan" ,  propname = "v_ret_fh_fanltonbas"},
    },

    Props = {
        "v_res_fh_laundrybasket",
        "v_res_fa_fan",
        "bkr_prop_prtmachine_dryer_spin",
    },
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/frkn-resources/frkn-money-washing/config-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
